Author: jfrederic.clere(a)jboss.com
Date: 2013-06-12 12:26:01 -0400 (Wed, 12 Jun 2013)
New Revision: 3097
Modified:
trunk/build/unix/buildsrc.mod_cluster.sh
Log:
Stop arrange configure for hpux (it breaks).
Modified: trunk/build/unix/buildsrc.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.mod_cluster.sh 2013-06-12 14:34:41 UTC (rev 3096)
+++ trunk/build/unix/buildsrc.mod_cluster.sh 2013-06-12 16:26:01 UTC (rev 3097)
@@ -109,27 +109,29 @@
fi
# Replace libtool by our libtool
+# and/or regenerate configure.
case ${BUILD_SYS} in
hpux*)
echo "${build_top}/util/jlibtool.c ${dirsources}/srclib/apr/build"
cp ${build_top}/util/jlibtool.c ${dirsources}/srclib/apr/build
+ if $has_jk; then
+ (cd ${dirsources}/modules/jk
+ autoconf || exit 1
+ ) || exit 1
+ fi
;;
+ windows)
+ echo "windows no buildconf"
+ ;;
+ *)
+ echo "regenerate configure script"
+ (cd ${dirsources}
+ bash buildconf || exit 1
+ ) || exit 1
+ if $has_jk; then
+ (cd ${dirsources}/modules/jk
+ autoconf || exit 1
+ ) || exit 1
+ fi
+ ;;
esac
-
-#
-# regenerate configure scripts
-# XXX: It seems that produces a destroyed configure (on f8 and hpux at least).
-#(cd ${dirsources}
-# autoheader && autoconf || exit 1
-#)
-
-if [ "${BUILD_SYS}" != "windows" ]; then
- (cd ${dirsources}
- bash buildconf || exit 1
- ) || exit 1
- if $has_jk; then
- (cd ${dirsources}/modules/jk
- autoconf || exit 1
- ) || exit 1
- fi
-fi